package com.hikcreate.edl.pub.web.mobile.infra.data.cache;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.hikcreate.edl.pub.web.mobile.infra.data.mapper.BindInfoMapper;
import com.hikcreate.edl.pub.web.mobile.infra.model.BindInfo;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author lixian
 * @description
 * @date 2020/6/21 15:49
 **/
@Component
public class BindCache {
    @Resource
    private BindInfoMapper mapper;

    @Cacheable( value = "bindinfo", key = "'id:'+#unqId", unless = "#result==null" )
    public BindInfo getById( String unqId ) {
        LambdaQueryWrapper<BindInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(BindInfo::getUnqId, unqId);
        queryWrapper.eq(BindInfo::getStatus, 1);
        return mapper.selectOne(queryWrapper);
    }
}
